z8530_queue_xmit
Prev | Chapter 9. Public Functions Provided | Next

## Name

z8530_queue_xmit — Queue a packet

## Synopsis

`int z8530_queue_xmit (` | struct z8530_channel * | c,
| struct sk_buff * | skb`)`;

## Arguments

`c`

  The channel to use

`skb`

  The packet to kick down the channel

## Description

Queue a packet for transmission. Because we have rather hard to hit interrupt latencies for the Z85230 per packet even in DMA mode we do the flip to DMA buffer if needed here not in the IRQ.

Called from the network code. The lock is not held at this point.

Prev | Up | Next
z8530_null_rx | Home | z8530_get_stats